<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */
namespace Lhv\HirePurchase\Block\Adminhtml;

/**
 * Class Data
 */
class Data extends \Magento\Config\Block\System\Config\Form\Fieldset
{
    /**
     * Render a fieldset
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        $html = $this->_getHeaderHtml($element);

        $block = $this->getLayout()
            ->createBlock('\Magento\Framework\View\Element\Template')
            ->setTemplate('Lhv_HirePurchase::data.phtml');

        $html .= $block->toHtml();
        $html .= $this->_getFooterHtml($element);

        return $html;
    }
}