<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */

namespace Lhv\HirePurchase\Logger;

/**
 * Class Error
 */
class Error extends \Magento\Framework\Logger\Handler\Base
{
    /**
     * Logging level
     * @var int
     */
    protected $loggerType = \Monolog\Logger::ERROR;

    /**
     * Logging level
     * @var int
     */
    protected $level = \Monolog\Logger::ERROR;

    /**
     * File name
     * @var string
     */
    protected $fileName = '/var/log/lhv_hirepurchase_error.log';

    /**
     * {@inheritdoc}
     */
    public function isHandling(array $record): bool

    {
        return $record['level'] === $this->level;
    }
}
