<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */
namespace Lhv\HirePurchase\Model\Adminhtml\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 * Class Environment
 */
class Environment implements ArrayInterface
{
    const ENVIRONMENT_TEST = 'test';
    const ENVIRONMENT_PRODUCTION = 'production';

    /**
     * Environment types
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::ENVIRONMENT_TEST,
                'label' => ucfirst(self::ENVIRONMENT_TEST),
            ],
            [
                'value' => self::ENVIRONMENT_PRODUCTION,
                'label' => ucfirst(self::ENVIRONMENT_PRODUCTION)
            ]
        ];
    }
}
