<?php
/**
 * Copyright © Aedes Web Solutions. All rights reserved.
 */

namespace Lhv\HirePurchase\Logger;

/**
 * Class Info
 */
class Info extends \Magento\Framework\Logger\Handler\Base
{
    /**
     * Logging level
     * @var int
     */
    protected $loggerType = \Monolog\Logger::INFO;

    /**
     * Logging level
     * @var int
     */
    protected $level = \Monolog\Logger::INFO;

    /**
     * File name
     * @var string
     */
    protected $fileName = '/var/log/lhv_hirepurchase_info.log';

    /**
     * {@inheritdoc}
     */
    public function isHandling(array $record): bool

    {
        return $record['level'] === $this->level;
    }
}
